Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.io
Class MemoryOutputSynapse

    java.lang.Object
      org.joone.engine.Synapse
          org.joone.io.StreamOutputSynapse
              org.joone.io.MemoryOutputSynapse

All Implemented Interfaces:
  java.io.Serializable, InputPatternListener, Learnable, LearnableSynapse, NeuralElement, OutputPatternListener, Inspectable, PlugInListener

    public class MemoryOutputSynapse

extends StreamOutputSynapse

Author:
  pmarrone
See Also:
  Serialized Form

Field Summary
`(package private) static long` | `serialVersionUID`

Fields inherited from class org.joone.io.StreamOutputSynapse
`fifo, nextPlugIn`

Fields inherited from class org.joone.engine.Synapse
`array, b_pattern, bitems, bouts, count, enabled, fwdLock, inps, items, learnable, m_batch, m_pattern, myLearner, notFirstTime, notFirstTimeB, outs, revLock`

Constructor Summary
`MemoryOutputSynapse()` Creates a new instance of MemoryOutputSynapse

Method Summary
`java.util.Vector` | `getAllPatterns()` Waits for the stopPattern and then returns all the patterns received in the last cycle
`double[]` | `getLastPattern()` This method waits for the zeroPattern and returns the last valid pattern received
`double[]` | `getNextPattern()` Waits for the next pattern and returns it
`void` | `write(Pattern pattern)` Custom Synapses need to implement at least this method.

Methods inherited from class org.joone.io.StreamOutputSynapse
`addPlugIn, backward, check, dataChanged, forward, fwdPut, getFifo, getPlugIn, getSeparator, isBuffered, removeAllPlugIns, revGet, setArrays, setBuffered, setDimensions, setPlugIn, setSeparator`

Methods inherited from class org.joone.engine.Synapse
`addNoise, canCountSteps, fwdGet, getFwdLock, getIgnoreBefore, getInputDimension, getLearner, getLearningRate, getMomentum, getMonitor, getName, getOutputDimension, getRevLock, getWeights, init, initLearner, InspectableTitle, Inspections, isEnabled, isInputFull, isLoopBack, isOutputFull, randomize, readResolve, reset, revPut, setEnabled, setIgnoreBefore, setInputDimension, setInputFull, setLearningRate, setLoopBack, setMomentum, setMonitor, setName, setOutputDimension, setOutputFull, setWeights`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### MemoryOutputSynapse

    public MemoryOutputSynapse()

  Creates a new instance of MemoryOutputSynapse

Method Detail

### getLastPattern

    public double[] getLastPattern()

  This method waits for the zeroPattern and returns the last valid pattern received

  Returns:
    the last pattern received

### getNextPattern

    public double[] getNextPattern()

  Waits for the next pattern and returns it

  Returns:
    the next pattern

### getAllPatterns

    public java.util.Vector getAllPatterns()

  Waits for the stopPattern and then returns all the patterns received in the last cycle

  Returns:
    all the patterns received in the last cycle

### write

    public void write(Pattern pattern)

  Custom Synapses need to implement at least this method. The custom synapse should write the pattern out to the appropriate media. All patterns including the ending pattern with pattern.getCount()=-1 will be passed to this method so that custom output synapses can perform final processing.

  Specified by:
    `write` in class `StreamOutputSynapse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net